.login-wrapper{

    display:flex;
    justify-content: center;
    align-items:center;
    min-height: 80%;
    padding:20px;
}

.login-card{
    background: white;
    padding: 40px;
    border-radius:12px;
    width:100%;
    max-width:400px;
    border: 1px solid lightsteelblue;
}
.login-header{
    text-align:center;
    margin-bottom:30px;
}
.titulo-login{
    font-size:1.8rem;
    color: blue;
    margin-bottom: 8px;
    font-weight: bolder;
}

.subtitulo-login{
    color: darkgrey;
    font-size: 0.9rem;
}
.campo-grupo{
    margin-bottom: 2opx;
}

.etiqueta-imput{
    display:block;
    font-size:11px;
    font-weight:bolder;
   
    text-transform: uppercase;
    margin-bottom: 8px;
    letter-spacing: 0.5px;
}


.campo-texto{
    width: 100%;
    padding: 12px 15px;
    border: 2px solid;
    border-radius: 8px;
    font-size: 14px;
    background-color: whitesmoke;
    transition: all 0.3s ease;
    box-sizing: border-box;
}


.campo-texto:focus{
    background-color: white;
    border-color: rgb(8, 98, 216);
    outline: none;
}

.boton-login{
    width:100%;
    background-color: rgb(8, 98, 216);
    color:white;
    border:none;
    padding: 14px;
    border-radius: 8px;
    font-size: 16px;
    font-weight: bolder;
    cursor: pointer;
    transition: background 0.2s, transform 0.1s;
    margin-top: 10px;
}

.boton-login:hover{
    background-color: rgb(5, 60, 131);
}
.boton-login:active {
    transform: scale(0.98);
}

.alerta-error{
    background-color: white;
    color: red;
    padding: 12px;
    border-radius: 8px;
    border: 1px solid lightpink;
    margin-bottom:20px;
    font-size: 14px;
    text-align: center;;
}